libgutenprint API Reference 5.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
array.h File Reference

Array functions. More...

`#include <gutenprint/sequence.h>`

## Typedefs

typedef struct stp_array | stp_array_t
| The array opaque data type.

## Functions

stp_array_t * | stp_array_create (int x_size, int y_size)
| Create a new array.
void | stp_array_destroy (stp_array_t *array)
| Destroy an array.
void | stp_array_copy (stp_array_t *dest, const stp_array_t *source)
| Copy an array.
stp_array_t * | stp_array_create_copy (const stp_array_t *array)
| Copy and allocate an array.
void | stp_array_set_size (stp_array_t *array, int x_size, int y_size)
| Resize an array.
void | stp_array_get_size (const stp_array_t *array, int *x_size, int *y_size)
| Get the size of an array.
void | stp_array_set_data (stp_array_t *array, const double *data)
| Set the data in an array.
void | stp_array_get_data (const stp_array_t *array, size_t *size, const double **data)
| Get the data in an array.
int | stp_array_set_point (stp_array_t *array, int x, int y, double data)
| Set the data at a single point in the array.
int | stp_array_get_point (const stp_array_t *array, int x, int y, double *data)
| Get the data at a single point in the array.
const stp_sequence_t * | stp_array_get_sequence (const stp_array_t *array)
| Get the underlying stp_sequence_t.

## Detailed Description

Array functions.